# 32/64bit spec
#
Summary:                A friendly interactive shell
Summary(de):		Eine freundliche interaktive Shell
Name:                   fish
Version:                2.4.0
Release:                %mkrel 1
License:                GPL
Group:                  Shells
URL:                    http://roo.no-ip.org/fish/
Source0:                http://roo.no-ip.org/%{name}/files/%{version}/%{name}-%{version}.tar.xz
Patch0:                 fish-1.23.0-ARG_MAX.patch
BuildRoot:              %{_tmppath}/%{name}-%{version}-%{release}
BuildRequires:          doxygen 
BuildRequires:		%{_lib}ncurses-devel
BuildRequires:		%{_lib}x11-devel
Requires(post):         rpm-helper
Requires(postun):       rpm-helper
Requires:               bc

%description
fish is a shell geared towards interactive use. It's features are
focused on user friendlieness and discoverability. The language syntax
is simple but incompatible with other shell languages.

%description -l de
fish ist eine Shell die auf eine interaktive Nutzung abgestimmt ist. Ihre
Eigenschaften sind auf Benutzerfreundlichkeit und Entdeckbarkeit ausgerichtet.
Die Sprachsyntax ist einfach, aber inkompatible mit anderen Shell-Sprachen.

%prep
%setup -q
%patch0 -p1 -b .ARG_MAX

%build
%configure2_5x --with-doxygen --with-gettext
%make fish_tests

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR="$RPM_BUILD_ROOT"

# create little short cut script for su usage to get back the behavior before 2.2.0
cat > %{buildroot}%{_datadir}/fish/functions/su.fish << EOF

function su --description "Switch user"
	if math "0 ==" (count $argv) > /dev/null
		/bin/su -
	else
		/bin/su $argv
	end
end

EOF

rm -Rf $RPM_BUILD_ROOT/usr/share/doc/fish/

%find_lang %{name}
%clean
rm -rf $RPM_BUILD_ROOT

%check

# fish_tests is somewhat sensitive to the contents of the filesystem.
# If imake is installed, then fish_tests will fail.  This shouldn't be
# a problem under mock, though.
#
# See: https://github.com/fish-shell/fish-shell/issues/2322
./fish_tests

%post
SYSUSERS=$(grep [0-9][0-9][0-9]:.*/home /etc/passwd | grep -f /etc/shells | cut -d: -f1)
for idx in $SYSUSERS; do
	if [ -e /home/$idx/.config/fish ]; then
		chown -R $idx:$idx /home/$idx/.config/fish
	fi

	if [ -e /tmp/fish.$idx ]; then
		chown -R $idx:$idx /tmp/fish.$idx
	fi
done

# add link into bin and shell to the available shells just on install
if [ $1 -eq 1 ]; then
	ln -fs /usr/bin/fish /bin/fish
	/usr/share/rpm-helper/add-shell %name $1 /bin/fish
fi

%postun
# remove link from post and also the shell entry
if [ $1 -eq 0 ]; then
	rm -f /bin/fish
	/usr/share/rpm-helper/del-shell %name $1 /bin/fish
fi


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README.md CHANGELOG.md CONTRIBUTING.md user_doc/html/*
%_mandir/man1/*
%{_bindir}/fish
%{_bindir}/fish_indent
%{_bindir}/fish_key_reader
#%{_bindir}/mimedb
%_datadir/%name
%{_datadir}/pkgconfig/fish.pc
%config(noreplace) %_sysconfdir/fish


%changelog
* Tue Feb 07 2017 adrianomorselli <adrianomorselli> 2.4.0-1uplos2017
- rebuild

* Fri Dec 23 2016 ghostbunny <ghostbunny at gmx dot de> 2.4.0-1pclos2016
- 2.4.0

* Sat May 28 2016 ghostbunny <ghostbunny at gmx dot de> 2.3.0-1pclos2016
- 2.3.0
- remove patch1, patch2 (applied in source)

* Sat Nov 07 2015 ghostbunny <ghostbunny at gmx dot de> 2.2.0-2pclos2015
- fix scriptlets
- include patch 1 and 2 from fedora
- add fish function to create the su behavior before 2.2.0

* Wed Nov 04 2015 bb <bb> 2.2.0-1pclos2015
- update

* Sat Nov 16 2013 ghostbunny <ghostbunny at gmx dot de> 2.1.0-1pclos2013
- 2.1.0
- added German summary and description
- fix patch

* Tue Sep 27 2011 Archie <pclinuxos.ph at gmail.com> 1.23.1-2pclos2011
- rebuilt for x86_64

* Thu Jun 11 2009 johnnyblack <johnnyblack@inbox.com> 1.23.1-1pclos2009
- create
